List finished jobs
curl --request GET \
--url https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/jobs/history \
--header 'x-api-key: <api-key>'import requests
url = "https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/jobs/history"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/jobs/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"jobs": [
{
"id": 123,
"category": "<string>",
"categoryKey": "<string>",
"key": "<string>",
"created": "2023-11-07T05:31:56Z",
"jobNotificationUids": [
123
],
"started": "2023-11-07T05:31:56Z",
"finished": "2023-11-07T05:31:56Z",
"finishedSuccessful": true,
"additionalInfo": "<string>",
"computeTime": 123,
"createdByUser": {
"id": 123,
"name": "<string>",
"username": "<string>",
"photo": "<string>"
},
"categoryCount": 123,
"metadata": {}
}
],
"totalJobCount": 123,
"error": "<string>"
}List finished jobs
Get all finished jobs for this organization
GET
/
api
/
organizations
/
{organizationId}
/
jobs
/
history
List finished jobs
Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Path Parameters
Organization ID
Query Parameters
Start date
End date
Maximum number of results
Offset in results, can be used in conjunction with LimitResultsParameter to implement paging.
Whether to exclude jobs with a parent ID (so jobs started as part of another job)
Was this page helpful?
⌘I